Fhead="s1503parabola";
Texparent="";
Slidename="";
FheadC="parabola";

Start3d();

Putaxes3d(5);
Xyzax3data("","x=[-5,5]","y=[-5,5]","z=[-5,5]");

Fd=["p","x=u*cos(v)","y=u*sin(v)","z=4-1*u^2",
"u=[0,2]","v=[0,2*pi]","e"
];

FdC=[
 ["x=u*cos(v)","y=u*sin(v)","z=4-1.0*pow(u,2.0)"],
 "u=[0.0,2.0]","v=[0.0,2*M_PI]","e",
//[100,100],[5000,3000,500],[0.01,0.1]
 [50,50],[5000,3000,500],[0.02,0.1]
];

e1=[1,-1,0];
e2=[1,1,-1];
p1=[0,0,2]+sqrt(3)*e1+sqrt(2)*e2;
p2=[0,0,2]-sqrt(3)*e1+sqrt(2)*e2;
p3=[0,0,2]+sqrt(3)*e1-sqrt(2)*e2;
p4=[0,0,2]-sqrt(3)*e1-sqrt(2)*e2;

Spaceline("1",[p1,p2,p4,p3,p1]);

println(Crossprod(e1,e2));

MainC=[
 "writesfbd",["sfbd"],
 "writeax",["ax"],
 "writewire",["wire",4,[[1,sqrt(2),sqrt(3)],pi/3*(1..6)]],
 "writecut",["sfcut","x+y+2*z-4"],
 "writesc",["sl3d1"]
];

black="Color=[0,0,0]";
red="Color=[1,0,0]";
blue="Color=[0,0,1]";

DispC=[
 "sfbd",["dr",black],
 "sfbdh",["do",red],
 "ax",["dr",black],
// "axh",["dr,0.3",red],
 "wire",["dr,0.3",black],
// "wireh",["dr,0.3",red],
 "sfcut",[red],
 "sfcuth",["do",red],
 "sl3d1",[blue]
];

if(contains(Ch,0),
 Sf3data("1",Fd);
);
if(contains(Ch,1),
 Changestyle3d(Datalist3d(),["nodisp"]); 
 DisplayC();
);

Windispg();
